# Uses of Class
ch.qos.logback.core.util.Duration

Packages that use Duration
Package
Description
ch.qos.logback.core.hook
Contains the shutdown hook functionality of logback, including the interface and base class for implementing hooks as well as some default implementations, such as
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.sift
ch.qos.logback.core.util
Contains various utility classes.

## Uses of Duration in ch.qos.logback.core.hook

Fields in ch.qos.logback.core.hook declared as Duration
Modifier and Type
Field
Description
`static final Duration`
DelayingShutdownHook.`DEFAULT_DELAY`
The default is no delay before shutdown.
Methods in ch.qos.logback.core.hook that return Duration
Modifier and Type
Method
Description
`Duration`
DelayingShutdownHook.`getDelay()`
Methods in ch.qos.logback.core.hook with parameters of type Duration
Modifier and Type
Method
Description
`void`
DelayingShutdownHook.`setDelay(Duration delay)`
The duration to wait before shutting down the current logback context.

## Uses of Duration in ch.qos.logback.core.net

Methods in ch.qos.logback.core.net that return Duration
Modifier and Type
Method
Description
`Duration`
AbstractSocketAppender.`getEventDelayLimit()`
Returns the value of the eventDelayLimit property.
`Duration`
AbstractSocketAppender.`getReconnectionDelay()`
Returns value of the reconnectionDelay property.
Methods in ch.qos.logback.core.net with parameters of type Duration
Modifier and Type
Method
Description
`void`
AbstractSocketAppender.`setEventDelayLimit(Duration eventDelayLimit)`
The eventDelayLimit takes a non-negative integer representing the number of milliseconds to allow the appender to block if the underlying BlockingQueue is full.
`void`
AbstractSocketAppender.`setReconnectionDelay(Duration delay)`
The reconnectionDelay property takes a positive `Duration` value representing the time to wait between each failed connection attempt to the server.

## Uses of Duration in ch.qos.logback.core.sift

Methods in ch.qos.logback.core.sift that return Duration
Modifier and Type
Method
Description
`Duration`
SiftingAppenderBase.`getTimeout()`
Methods in ch.qos.logback.core.sift with parameters of type Duration
Modifier and Type
Method
Description
`void`
SiftingAppenderBase.`setTimeout(Duration timeout)`

## Uses of Duration in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util that return Duration
Modifier and Type
Method
Description
`static Duration`
Duration.`buildByDays(double value)`
`static Duration`
Duration.`buildByHours(double value)`
`static Duration`
Duration.`buildByMilliseconds(double value)`
`static Duration`
Duration.`buildByMinutes(double value)`
`static Duration`
Duration.`buildBySeconds(double value)`
`static Duration`
Duration.`buildUnbounded()`
`static Duration`
Duration.`valueOf(String durationStr)`